--
-- small demonstrator for Lua binding on pixwerx
--

pw.script:load_all()

print("hello pixwerx!")

local s = pw.scene.new()

print(s)

local e = pw.entity.new(s)
local c = pw.entity.new(s)

print(e)
print(c)
print(e.child_count)

-- add child
e:add_child(c)

print(e.child_count)

if e:remove_child(c) then
    print("remove_child success")
else
    print("remove_child fail")
end

print(e.child_count)


print("bye, bye pixwerx!")

return 1
